Skip to main content
POST
/
api
/
vendor-credits
/
{vendorCreditId}
/
apply-to-bills
Apply vendor credit to the given bills.
curl --request POST \
  --url https://api.example.com/api/vendor-credits/{vendorCreditId}/apply-to-bills \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --header 'organization-id: <organization-id>' \
  --data '
{
  "entries": [
    {
      "billId": 1,
      "amount": 100.5
    },
    {
      "billId": 2,
      "amount": 50
    }
  ]
}
'
import requests

url = "https://api.example.com/api/vendor-credits/{vendorCreditId}/apply-to-bills"

payload = { "entries": [
{
"billId": 1,
"amount": 100.5
},
{
"billId": 2,
"amount": 50
}
] }
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
Authorization: '<authorization>',
'organization-id': '<organization-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({entries: [{billId: 1, amount: 100.5}, {billId: 2, amount: 50}]})
};

fetch('https://api.example.com/api/vendor-credits/{vendorCreditId}/apply-to-bills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

Path Parameters

vendorCreditId
number
required

Body

application/json
entries
object[]
required

Entries of bill ID and amount to apply

Example:
[
{ "billId": 1, "amount": 100.5 },
{ "billId": 2, "amount": 50 }
]

Response

201 - undefined